Subject: bug#78263: [PATCH 1/3] Ignore OSC sequences in term instead of printing them

From: Stéphane Zermatten <[email-masked]>
Date: Fri, 6 Jun 2025 11:28:33 +0300

I just got confirmation that the copyright assignent paperwork is complete.

Here’s an updated version of the patch, with: 
 - 2 sentence formatting fixes
 - term-osc-handlers just a defvar instead of a defcustom

> On 5 Jun 2025, at 08:49, Jared Finder <[email-masked]> wrote:
> 
> On 2025-06-04 22:29, Eli Zaretskii wrote:
>> Please fix those nits, and then we should wait for your
>> copyright-assignment paperwork to be completed, and for Jared to
>> respond to your previous message.
> 
> I think Stéphane's latest patch addressed my question about using ansi-osc-handlers in term.  I saw this new code in it:
> 
> +                            (when-let* ((func (cdr (or (assoc-string
> +                                                        code term-osc-handlers)
> +                                                       (assoc-string
> +                                                        code ansi-osc-handlers)))))
> 
> Which looks right to me.  When we want to have different handlers for term vs *compilation* buffers, we can just add a different handler to each variable.
> 
>  -- MJF